package eu.openaire.urls_controller.models;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "id",
        "link_to_payload"
})
public class FullText {

    @JsonProperty("id")
    private String id;

    @JsonProperty("link_to_payload")
    private String link_to_payload;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLink_to_payload() {
        return link_to_payload;
    }

    public void setLink_to_payload(String link_to_payload) {
        this.link_to_payload = link_to_payload;
    }

    @Override
    public String toString() {
        return "FullText{" +
                "id='" + id + '\'' +
                ", link_to_payload='" + link_to_payload + '\'' +
                '}';
    }
}
